{% extends 'symbiarts_app/base.html' %}
{% load static %}

{% block title %}Carrito de compras{% endblock %}

{% block navbar %}
    {% include 'symbiarts_app/navbar.html' %}
{% endblock %}

{% load bootstrap4 %}
{% bootstrap_javascript jquery='full' %}

{% block content %}
    <div class="mt-3">
        {% with totail_items=carrito|length %}
            {% if carrito|length > 0 %}
                <div class="row">
                    <h2 class="text-white">Carrito de compras</h2>
                </div>
            {% else %}
                <div class="jumbotron text-xs-center">
                    <h1 class="display-4">Tu carrito esta vacío.</h1>
                    <hr>
                    <a href="{% url 'symbiarts_app:lista_obras' %}" class="btn btn-primary"><i class="fas fa-store"></i> Comprá alguna obra</a>
                </div>
            {% endif %}
        {% endwith %}
        {% if carrito|length > 0 %}
            <div class="row mt-2">
                <table class="tabla-carrito table table-secondary table-hover">
                    <thead>
                        <tr>
                            <th>Obra</th>
                            <th>Descripción</th>
                            <th>Cantidad</th>
                            <th>Precio unitario</th>
                            <th>Subtotal</th>
                            <th>Acciones</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for item in carrito %}
                            {% with obra=item.obra  %}
                                <tr>
                                    <td>
                                        <a href="{% url 'symbiarts_app:detalle_obra' pk=obra.pk %}">
                                            {% with archivo_obra=obra.archivos.first %}
                                                {% if archivo_obra.archivo.url %}
                                                    <img src="{{ archivo_obra.archivo.url }}" alt="{{ obra.nombre }}" class="img-fluid" style="height: 90px; width: auto">
                                                {% else %}
                                                    <img src="{% static 'img/default.svg' %}" class="img-fluid" alt="{{ obra.nombre }}" style="height: 90px; width: auto">
                                                {% endif %}
                                            {% endwith %}
                                        </a>
                                    </td>
                                    <td class="align-middle">{{ obra.nombre }}</td>
                                    <td class="align-middle">
                                        <form class="form-inline" action="{% url 'carrito:agregar_obra_carrito' obra.id %}" method="post">
                                            {% csrf_token %}
                                            {% bootstrap_messages %}
                                            {% bootstrap_form_errors item.form_agregar_obra_carrito %}
                                            {% bootstrap_field item.form_agregar_obra_carrito.cantidad show_label=False %}
                                            {% bootstrap_field item.form_agregar_obra_carrito.actualizar_cantidad %}
                                            <button type="submit" class="btn btn-info ml-1"><i class="fas fa-sync-alt"></i></button>
                                        </form>
                                    </td>
                                    <td class="align-middle">${{ item.precio }}</td>
                                    <td class="align-middle">${{ item.precio_total }}</td>
                                    <td class="align-middle">
                                        <a href="{% url 'carrito:eliminar_obra_carrito' obra.id %}" class="btn btn-danger ml-1"><i class="far fa-trash-alt"></i></a>
                                    </td>
                                </tr>
                            {% endwith %}
                        {% endfor %}
                    </tbody>
                    <tfoot>
                        <tr>
                            <td><b>Total</b></td>
                            <td colspan="3"></td>
                            <td colspan="num"><b>${{ carrito.obtener_precio_total }}</b></td>
                            <td><a href="{% url 'symbiarts_app:comprar_carrito' %}" class="btn btn-success"><i class="fas fa-dollar-sign"></i> Comprar</a></td>
                        </tr>
                    </tfoot>
                </table>
                <div class="form-group">
                    <a href="{% url 'symbiarts_app:lista_obras' %}" class="btn btn-primary"><i class="fas fa-store"></i> Seguir comprando</a>
                </div>
            </div>
        {% endif %}
    </div>
{% endblock %}